Page MenuHomePhabricator

contrib: install PyOxidizer 0.16.0
ClosedPublic

Authored by indygreg on May 6 2021, 8:00 PM.

Details

Summary

PyOxidizer now provides MSI installers and pre-built Linux binaries.
So we install that way. This significantly reduces the time to bootstrap
a new machine in automation, as building PyOxidizer from source on a low
core count machine takes several minutes.

This change temporarily breaks the ability of the automated environment
to use the in-repo pyoxidizer.bzl configuration file, as there are
backwards-incompatible changes with the upgrade that need to be
reflected. We'll handle those in subsequent commits.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

indygreg created this revision.May 6 2021, 8:00 PM
indygreg edited the summary of this revision. (Show Details)May 6 2021, 9:38 PM
indygreg updated this revision to Diff 27732.
baymax updated this revision to Diff 27751.May 7 2021, 11:30 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

indygreg edited the summary of this revision. (Show Details)May 7 2021, 12:42 PM
indygreg updated this revision to Diff 27762.
indygreg planned changes to this revision.May 7 2021, 8:38 PM

I'll need to release a new version of PyOxidizer to fix wonky behavior due to interaction of file mtimes and pip (https://github.com/indygreg/PyOxidizer/commit/a0bdde179aaed8521d3a668e518554814bcffdba).

indygreg retitled this revision from contrib: install PyOxidizer 0.15.0 to contrib: install PyOxidizer 0.16.0.May 9 2021, 1:08 PM
indygreg edited the summary of this revision. (Show Details)
indygreg updated this revision to Diff 27769.
baymax updated this revision to Diff 27788.May 10 2021, 11:37 AM

โœ… refresh by Heptapod after a successful CI run (๐Ÿ™ ๐Ÿ’š)

mharbison72 accepted this revision.May 10 2021, 6:35 PM
This revision is now accepted and ready to land.May 10 2021, 6:36 PM
This revision was automatically updated to reflect the committed changes.